This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 859432 - UnboundLocalError: local variable 'rv' referenced before assignment
UnboundLocalError: local variable 'rv' referenced before assignment
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
x86_64 Linux
high Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 10:26 EDT by John Reiser
Modified: 2013-02-04 12:48 EST (History)
3 users (show)

See Also:
Fixed In Version: lorax-18.21-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 12:48:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-09-21 10:26:23 EDT
Description of problem: Abort with traceback from lorax during pungi compose of .iso for DVD.


Version-Release number of selected component (if applicable):
lorax-18.20-1.fc18.x86_64
anaconda-18.8-1.fc18.x86_64
pungi-2.12-1.fc18.noarch


How reproducible: every time (3 for 3)


Steps to Reproduce:
1./usr/bin/pungi -c fedora-install-fedora-$VERSION.ks \
	--destdir=$DESTDIR --name Fedora --ver $VERSION --nosource

2.
3.
  
Actual results:
   [snip]
running runtime-cleanup.tmpl
creating the runtime image
mke2fs 1.42.5 (29-Jul-2012)
Discarding device blocks: done                            
Filesystem label=Anaconda
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
Stride=0 blocks, Stripe width=0 blocks
65536 inodes, 1048576 blocks
0 blocks (0.00%) reserved for the super user
First data block=1
Maximum filesystem blocks=68157440
128 block groups
8192 blocks per group, 8192 fragments per group
512 inodes per group
Superblock backups stored on blocks: 
	8193, 24577, 40961, 57345, 73729, 204801, 221185, 401409, 663553, 
	1024001

Allocating group tables: done                            
Writing inode tables: done                            
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done   

Can't stat exclude path "/selinux", No such file or directory - ignoring.
umount: /dev/shm/pungi-1946/lorax.imgutils.QoEBjK: target is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
losetup: /dev/loop0: detach failed: Device or resource busy
Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 146, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 913, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 272, in run
    compression=compression, compressargs=compressargs)
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 164, in create_runtime
    runcmd(cmd, root=mnt)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 234, in __exit__
    umount(self.mnt)
  File "/usr/lib/python2.7/site-packages/pylorax/imgutils.py", line 137, in umount
    mnt, rv, count, maxretry)
UnboundLocalError: local variable 'rv' referenced before assignment


Expected results: no problem


Additional info: log file shows:
-----
   [snip]
pylorax.imgutils.DEBUG: make tmp mountdir /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
program.INFO: Running... mount /dev/loop0 /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
pylorax.imgutils.DEBUG: copytree /sdd15/ext4-data/Fedora18/work/x86_64/yumroot /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
program.INFO: Running... cp -a . /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
program.INFO: chdiring into /sdd15/ext4-data/Fedora18/work/x86_64/yumroot
program.INFO: Running... umount /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
pylorax.imgutils.DEBUG: remove tmp mountdir /dev/shm/pungi-1946/lorax.imgutils.1YNfdW
program.INFO: Running... losetup --detach /dev/loop0
program.INFO: Running... losetup --find --show /sdd15/ext4-data/Fedora18/work/x86_64/installroot/images/runtime-workdir/LiveOS/rootfs.img
program.INFO: /dev/loop0
pylorax.imgutils.DEBUG: make tmp mountdir /dev/shm/pungi-1946/lorax.imgutils.QoEBjK
program.INFO: Running... mount /dev/loop0 /dev/shm/pungi-1946/lorax.imgutils.QoEBjK
program.INFO: Running... setfiles -e /proc -e /sys -e /dev -e /selinux /etc/selinux/targeted/contexts/files/file_contexts /
program.INFO: chrooting into /dev/shm/pungi-1946/lorax.imgutils.QoEBjK
program.ERROR: Can't stat exclude path "/selinux", No such file or directory - ignoring.
program.INFO: Running... umount /dev/shm/pungi-1946/lorax.imgutils.QoEBjK
program.ERROR: umount: /dev/shm/pungi-1946/lorax.imgutils.QoEBjK: target is busy.
program.ERROR:         (In some cases useful info about processes that use
program.ERROR:          the device is found by lsof(8) or fuser(1))
program.INFO: Running... losetup --detach /dev/loop0
program.ERROR: losetup: /dev/loop0: detach failed: Device or resource busy
   [EOF]
-----
Comment 1 Fedora Admin XMLRPC Client 2013-02-04 10:03:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.